const room = {
    name: "A room",
    onEnter() {
        console.log("I entered");
        return "meow";
    },
    onExit() {
        console.log("I exited");
    }
}

async function start() {
    await room.onEnter();
    await room.onExit();
}

start();